Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
eZ\Publish\Core\REST\Server\Controller\BinaryContent Class Reference

Binary content controller. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Controller\BinaryContent:

## Public Member Functions
| __construct (VariationHandler $imageVariationHandler)
| Construct controller. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| setInputDispatcher (InputDispatcher $inputDispatcher)
| setRouter (RouterInterface $router)
| setRepository (Repository $repository)
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $imageVariationHandler
Protected Attributes inherited from eZ\Publish\Core\REST\Server\Controller
| $inputDispatcher
| $router
| $requestParser
| $repository

## Private Member Functions
| parseImageId ($imageId)
| Parses an imageId string into contentId, fieldId and versionNumber. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| getMediaType (Request $request)
| Extracts the requested media type from $request. More...

## Detailed Description

Binary content controller.

Definition at line 18 of file BinaryContent.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Controller\BinaryContent::__construct | ( | VariationHandler | $imageVariationHandler | ) |

Construct controller.

Parameters

  \eZ\Publish\SPI\Variation\VariationHandler | $imageVariationHandler |

Definition at line 28 of file BinaryContent.php.

References eZ\Publish\Core\REST\Server\Controller\BinaryContent\$imageVariationHandler.

## Member Function Documentation

## ◆ parseImageId()

eZ\Publish\Core\REST\Server\Controller\BinaryContent::parseImageId | ( |  | $imageId | ) |
| private

Parses an imageId string into contentId, fieldId and versionNumber.

Parameters

  string | $imageId | Either {contentId}-{fieldId} or {contentId}-{fieldId}-{versionNumber}

Returns
  array An array with 3 keys: contentId, fieldId and versionNumber. If the versionNumber wasn't set, it is returned as null.

Exceptions

Definition at line 96 of file BinaryContent.php.

## Member Data Documentation

## ◆ $imageVariationHandler

eZ\Publish\Core\REST\Server\Controller\BinaryContent::$imageVariationHandler
| protected

Definition at line 21 of file BinaryContent.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\BinaryContent\__construct().

The documentation for this class was generated from the following file:

- BinaryContent.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.